ROUTE-HTTPAGENT(1)

NAME
route-httpagent - agent to communicate between routed(1) and a HTTP backend of your choice.

SYNOPSIS
route-httpagent [-backend BACKEND] [-domain DOMAIN] [-method METHOD] [-server SERVER] [-token TOKEN]

DESCRIPTION
route-httpagent communicates with routed(1) to relay traffic from it and the TCP/HTTP backend of your choice.
-backend BACKEND
    Specifies the backend TCP/HTTP server route-httpagent should relay traffic to/from. This is specified in URI (RFC 3986) format. If this is not specified, the default value will be http://127.0.0.1:9090.
-domain DOMAIN
    Specifies the domain route-httpagent should use when authenticating with routed(1). This must be set or route-httpagent will fail to launch.
-method METHOD
    Specifies the connection method that route-httpagent should use to relay traffic with routed(1). This MUST be set to either "tcp" or "kcp". If this is not set, the default is "tcp".
-server SERVER
    Specifies the TCP/UDP host+port that routed(1) is configured to accept agent connections from. See the manpage for routed(1) for more information on how to configure this. This must be set by the user.
-token TOKEN
    Specifies the authentication token used to authenticate with routed(1) when setting up an agent connection. This must be set by the user.

ENVIRONMENT
All of the above command line flags can be set as environment variables. Ex: -method becomes METHOD For convenience, route-httpagent will load key->value pairs from .env in its current working directory when it starts up. A reference for the environment variables route-httpagent reads follows:
BACKEND
    Supplies the value for -backend
DOMAIN
    Supplies the value for -domain
METHOD
    Supplies the value for -method
SERVER
    supplies the value for -server
TOKEN
    supplies the value for -token

IMPLEMENTATION NOTES
In order for route-httpagent to route traffic, a route must be set up using route-cli(1). Please see its manpage for more information on how to do this. This relies on an instance of routed(1) to be running and reachable via either TCP or UDP.

EXAMPLES
route-httpagent -backend http://127.0.0.1:9090 -domain wusg-strugzi-wu.routed.xeserv.us -method tcp -server connect.routed.xeserv.us -token <secret_omitted> route-httpagent -domain wusg-strugzi-wu.routed.xeserv.us -method tcp -server connect.routed.xeserv.us -token <secret_omitted>

DIAGNOSTICS

SEE ALSO

•   route-cli(1)

•   routed(1)

•   https://tools.ietf.org/html/rfc3986